# Uses of Class
org.opensaml.xmlsec.encryption.support.DecryptionException

Packages that use DecryptionException
Package
Description
org.opensaml.saml.saml2.encryption
Classes for encrypting and decrypting SAML.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.
org.opensaml.xmlsec.encryption.support
Functional support for XML Encryption.

## Uses of DecryptionException in org.opensaml.saml.saml2.encryption

Methods in org.opensaml.saml.saml2.encryption that throw DecryptionException
Modifier and Type
Method
Description
`Assertion`
Decrypter.`decrypt(EncryptedAssertion encryptedAssertion)`
Decrypt the specified EncryptedAssertion.
`Attribute`
Decrypter.`decrypt(EncryptedAttribute encryptedAttribute)`
Decrypt the specified EncryptedAttribute.
`SAMLObject`
Decrypter.`decrypt(EncryptedID encryptedID)`
Decrypt the specified EncryptedID.
`NewID`
Decrypter.`decrypt(NewEncryptedID newEncryptedID)`
Decrypt the specified NewEncryptedID.
`private SAMLObject`
Decrypter.`decryptData(EncryptedElementType encElement)`
Decrypt the specified instance of EncryptedElementType, and return it as an instance of the specified QName.

## Uses of DecryptionException in org.opensaml.saml.saml2.profile.impl

Methods in org.opensaml.saml.saml2.profile.impl that throw DecryptionException
Modifier and Type
Method
Description
`private void`
DecryptAttributes.`processAssertion(ProfileRequestContext profileRequestContext, Assertion assertion)`
Decrypt any `EncryptedAttribute` found in an assertion and replace it with the result.
`private void`
DecryptNameIDs.`processAssertion(ProfileRequestContext profileRequestContext, Assertion assertion)`
Decrypt any `EncryptedID` found in an assertion and replace it with the result.
`private Assertion`
DecryptAssertions.`processEncryptedAssertion(ProfileRequestContext profileRequestContext, EncryptedAssertion encAssert)`
Decrypt an `EncryptedAssertion` and return the result.
`private Attribute`
DecryptAttributes.`processEncryptedAttribute(ProfileRequestContext profileRequestContext, EncryptedAttribute encAttr)`
Decrypt an `EncryptedAttribute` and return the result.
`private NameID`
DecryptNameIDs.`processEncryptedID(ProfileRequestContext profileRequestContext, EncryptedID encID)`
Decrypt an `EncryptedID` and return the result.
`private void`
DecryptNameIDs.`processLogoutRequest(ProfileRequestContext profileRequestContext, LogoutRequest request)`
Decrypt any `EncryptedID` found in a LogoutRequest and replace it with the result.
`private void`
DecryptNameIDs.`processManageNameIDRequest(ProfileRequestContext profileRequestContext, ManageNameIDRequest request)`
Decrypt any `EncryptedID` found in a ManageNameIDRequest and replace it with the result.
`private void`
DecryptNameIDs.`processNameIDMappingRequest(ProfileRequestContext profileRequestContext, NameIDMappingRequest request)`
Decrypt any `EncryptedID` found in a NameIDMappingRequest and replace it with the result.
`private void`
DecryptNameIDs.`processNameIDMappingResponse(ProfileRequestContext profileRequestContext, NameIDMappingResponse response)`
Decrypt any `EncryptedID` found in a NameIDMappingResponse and replace it with the result.
`private NewID`
DecryptNameIDs.`processNewEncryptedID(ProfileRequestContext profileRequestContext, NewEncryptedID encID)`
Decrypt a `NewEncryptedID` and return the result.
`private void`
DecryptAssertions.`processResponse(ProfileRequestContext profileRequestContext, Response response)`
Decrypt any `EncryptedAssertion` found in a response and replace it with the result.
`private void`
DecryptNameIDs.`processSubject(ProfileRequestContext profileRequestContext, Subject subject)`
Decrypt any `EncryptedID` found in a subject and replace it with the result.

## Uses of DecryptionException in org.opensaml.xmlsec.encryption.support

Subclasses of DecryptionException in org.opensaml.xmlsec.encryption.support
Modifier and Type
Class
Description
`class`
`PreDecryptionValidationException`
Exception thrown when an error occurs during pre-decryption validation.
Methods in org.opensaml.xmlsec.encryption.support that throw DecryptionException
Modifier and Type
Method
Description
`protected void`
Decrypter.`checkAndMarshall(XMLObject xmlObject)`
Ensure that the XMLObject is marshalled.
`XMLObject`
Decrypter.`decryptData(EncryptedData encryptedData)`
This is a convenience method for calling `Decrypter.decryptData(EncryptedData, boolean)`, with the `rootInNewDocument` parameter value supplied by `Decrypter.isRootInNewDocument()`.
`XMLObject`
Decrypter.`decryptData(EncryptedData encryptedData, boolean rootInNewDocument)`
Decrypts the supplied EncryptedData and returns the resulting XMLObject.
`DocumentFragment`
Decrypter.`decryptDataToDOM(EncryptedData encryptedData)`
Decrypts the supplied EncryptedData and returns the resulting DOM `DocumentFragment`.
`DocumentFragment`
Decrypter.`decryptDataToDOM(EncryptedData encryptedData, Key dataEncKey)`
Decrypts the supplied EncryptedData using the specified key, and returns the resulting DOM `DocumentFragment`.
`List<XMLObject>`
Decrypter.`decryptDataToList(EncryptedData encryptedData)`
This is a convenience method for calling `Decrypter.decryptDataToList(EncryptedData, boolean)`, with the `rootInNewDocument` parameter value supplied by `Decrypter.isRootInNewDocument()`.
`List<XMLObject>`
Decrypter.`decryptDataToList(EncryptedData encryptedData, boolean rootInNewDocument)`
Decrypts the supplied EncryptedData and returns the resulting list of XMLObjects.
`Key`
Decrypter.`decryptKey(EncryptedKey encryptedKey, String algorithm)`
Attempts to decrypt the supplied EncryptedKey and returns the resulting Java security Key object.
`Key`
Decrypter.`decryptKey(EncryptedKey encryptedKey, String algorithm, Key kek)`
Decrypts the supplied EncryptedKey and returns the resulting Java security Key object.
`private DocumentFragment`
Decrypter.`parseInputStream(InputStream input, Document owningDocument)`
Parse the specified input stream in a DOM DocumentFragment, owned by the specified Document.
`protected void`
Decrypter.`preProcessEncryptedData(EncryptedData encryptedData, Key dataEncKey)`
Preprocess the EncryptedData.
`protected void`
Decrypter.`preProcessEncryptedKey(EncryptedKey encryptedKey, String algorithm, Key kek)`
Preprocess the EncryptedKey.
`protected void`
Decrypter.`validateAlgorithms(EncryptedData encryptedData)`
Validate the algorithms contained within an `EncryptedData`.
`protected void`
Decrypter.`validateAlgorithms(EncryptedKey encryptedKey)`
Validate the algorithms contained within an `EncryptedKey`.
`protected void`
Decrypter.`validateAlgorithmURI(String algorithmURI)`
Validate the supplied algorithm URI against the configured include and exclude lists.